CreateFunction
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Functions.CreateFunction(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.FunctionsServiceCreateFunctionResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.functions.createFunction();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/functions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"commitMessage": "<string>",
"description": "<string>",
"displayName": "<string>",
"initialContent": {}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/functions"
payload = {
"commitMessage": "<string>",
"description": "<string>",
"displayName": "<string>",
"initialContent": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
commitMessage: '<string>',
description: '<string>',
displayName: '<string>',
initialContent: {}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/functions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"commit": {
"author": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"functionId": "<string>",
"id": "<string>",
"message": "<string>"
},
"function": {
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"encryptedValues": {},
"head": "<string>",
"id": "<string>",
"isDraft": true,
"outboundNetworkAllowlist": [
"<string>"
],
"publishedCommitId": "<string>",
"scopedRoleIds": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z"
}
}Function
Create Function
Invokes the c1.api.functions.v1.FunctionsService.CreateFunction method.
POST
/
api
/
v1
/
functions
CreateFunction
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Functions.CreateFunction(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.FunctionsServiceCreateFunctionResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.functions.createFunction();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The FunctionsServiceCreateFunctionRequest message.
The commitMessage field.
The description field.
The displayName field.
The functionType field.
Available options:
FUNCTION_TYPE_UNSPECIFIED, FUNCTION_TYPE_ANY The initialContent field.
Show child attributes
Show child attributes
Response
200 - application/json
Successful response
Was this page helpful?
⌘I